Subject: Re: [PATCHv4 2/4] Add infrastructure for ref namespaces

From: Jakub Narebski <[email-masked]>
Date: Fri, 03 Jun 2011 01:35:34 -0700 (PDT)

Jamey Sharp <[email-masked]> writes:

> From: Josh Triplett <[email-masked]>
> 
> Add support for dividing the refs of a single repository into multiple
> namespaces, each of which can have its own branches, tags, and HEAD.
> Git can expose each namespace as an independent repository to pull from
> and push to, while sharing the object store, and exposing all the refs
> to operations such as git-gc.
[...]

By the way, after this feature is merged in, would you like for gitweb
to understand ref namespaces and offer browsing of separate namespaces
(sub-repositories)?

-- 
Jakub Narebski
Poland
ShadeHawk on #git